POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "dff31405-bac8-4397-bcc4-3b3ea747db2b",
"cleanroom_type_id": "6f8c7073-24c4-4a23-8023-c8ef49334b88",
"code": 3,
"date_hu": "2026-06-09T05:18:07.5775427+00:00",
"id": "803eeff3-bf0d-4454-bc87-e0dc6755844a",
"site_id": "56089718-9fde-44a0-ae48-9cd3e6650696",
"wash_count": 6,
"position": 1,
"pc_id": "89530074-6bdb-410e-be82-8c97dd89a72b"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>dff31405-bac8-4397-bcc4-3b3ea747db2b</bag_status_id> <cleanroom_type_id>6f8c7073-24c4-4a23-8023-c8ef49334b88</cleanroom_type_id> <code>3</code> <date_hu>2026-06-09T05:18:07.5775427+00:00</date_hu> <id>803eeff3-bf0d-4454-bc87-e0dc6755844a</id> <pc_id>89530074-6bdb-410e-be82-8c97dd89a72b</pc_id> <position>1</position> <site_id>56089718-9fde-44a0-ae48-9cd3e6650696</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"597aa9ec-5517-445c-ad1d-3d1a7ab239f8"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">597aa9ec-5517-445c-ad1d-3d1a7ab239f8</guid>